Skip to main content
GET
/
conversations
List conversations
curl --request GET \
  --url https://app.npcbuilder.com/api/conversations \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "conv_12345",
    "character_id": "a96c6161-59f5-40f7-955e-459cd11",
    "player_id": "550e8400-e29b-41d4-a716-446655440000",
    "metadata": {
      "location": "tavern"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

game_id
string
required

The unique identifier for the game.

Example:

"tx65BrETVN2vMrrUIrlV"

session_id
string

(Optional) Filter by session ID.

Example:

"60Z5aZjIuFlyYbjbZZKe"

character_id
string

(Optional) Filter by character ID.

Example:

"a96c6161-59f5-40f7-955e-459cd11"

player_id
string

(Optional) Filter by player ID.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

A list of conversations.

id
string
Example:

"conv_12345"

character_id
string
Example:

"a96c6161-59f5-40f7-955e-459cd11"

player_id
string
Example:

"550e8400-e29b-41d4-a716-446655440000"

metadata
object
Example:
{ "location": "tavern" }
created_at
string<date-time>
updated_at
string<date-time>